Bug 962700 - Katello is not restarted on template changes
Katello is not restarted on template changes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 05:40 EDT by Marek Hulan
Modified: 2016-08-23 13:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-23 13:56:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Hulan 2013-05-14 05:40:47 EDT
Description of problem:

katello-configure can change configuration files (e.g. /etc/ldap_fluff.yml) which should restart katello service, however it only reloads Apache which is in this case useless

Version-Release number of selected component (if applicable):

nightly but probably many olders

How reproducible:

always

Steps to Reproduce:
1. katello-configure katello-configure --auth-method=ldap --ldap-server=192.168.25.1
2. katello-configure katello-configure --auth-method=ldap --ldap-server=192.168.25.2
  
Actual results:

katello still uses LDAP on 192.168.25.1

Expected results:

katello reloads fresh configuration from changed config file

Additional info:

This is probaly not limited to LDAP configuration. We shoiuld go through all katello configuration files.
Comment 2 Marek Hulan 2013-06-13 02:56:04 EDT
Also when a new certificate is generated, Apache, Katello and Signo should be restarted (currently are not)
Comment 3 Mike McCune 2014-06-05 23:33:05 EDT
now in katello-installer but the above still stands.  Any run should restart services if changes were made.
Comment 4 Stephen Benjamin 2016-08-23 13:56:34 EDT
Closing this as CURRENTRELEASE as in almost every case now, the puppet-based installer notifies the correct service entries when a related file is changed.  

If there is any specific case found where that's not the case, we need a specific BZ, but I can't think of any at the moment.

Note You need to log in before you can comment on or make changes to this bug.